* { margin:0px;padding:0;text-decoration:none;box-sizing:border-box;color:#000 }
html {background-color: #ecebea;}
body {margin: 20px; background:#fff;font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif; font-size:16px;overflow-x:hidden }
body > *, body main > *, main figure > div > *, main p, main q, main cite, main pre { margin-bottom:30px }
body .right { float:right }
body a.self, body a.parent { font-style:italic }
main a:hover, main a:hover > *, nav a:hover, nav main a:hover > * { background-color:#000;color:#fff;text-decoration:none }
table td, table th { vertical-align:top;padding:2.5px 5px;text-align:left }
table td > pre, table th > pre { background:none;padding:0;margin:0 }
table tr img { margin-bottom:0; display:block }
hr { clear:both;border:0 }


nav img { display:block ;float:left; height: 20px;}
nav img:hover { filter:invert(1) hue-rotate(180deg); background-color: #fff; }

nav { padding:20px 25px 30px;margin:0;text-transform: uppercase;}
nav li{list-style-type: none; display: inline}
nav a { padding:0 4px}
main { margin-left:30px;margin-right:30px;max-width:824px;clear:both;position:relative }
main a { text-decoration:underline }
main article { border-left:1px dotted #000;padding-left:25px;clear:both }
main cite { display:block;clear:both }
main cite:before { content:"— " }
main iframe { width:100% }
main h1, main h2, main h3, main h4, main h5 { max-width:400px }
main ul, main ol { margin:0 0 30px 30px }
main ul ul { margin-bottom:0 }
main ul li a {text-decoration: none;}
.indexul {margin-left: -30px;}
.indexul ul {display: block; list-style: none;}
.indexul li {margin-left: -5px;}
main ul li, main ol li { line-height:25px;padding:0 5px }
main figure img { display:block;margin:0 }
main figure figcaption { padding:15px 0 }
main figure:first-child { max-width:100vw;margin-left:0px;}main figure figcaption { padding-left:0px }
main p { line-height:160% }
main sup { line-height:12px }
main ::selection { background-color:#c1c1c1;color:#000;text-decoration:none }
main q { font-family:serif;font-size:18px;font-style:italic;display:block;max-width:400px }
main img, main svg { max-width:100%;max-height:90vh;display:inline-block;margin:0 0 25px }
main pre { overflow:auto;background:#efefef;padding:10px;font-size:80% }
main pre code, main pre i { color:#888;}
main code { white-space:pre }
main hr { clear:both }
main kbd { font-size:12px;display:inline-block;padding:0 5px;font-weight:bold;border-radius:4px;line-height:20px;border:2px solid #222 }
footer { padding:10px 0 10px 0;line-height:30px;clear:both;margin-left: 30px;margin-right: 30px;border-top:1px solid black }
footer a { display:inline-block;margin-right:3px }
footer img { height:30px;vertical-align:middle;margin:0 3px; image-rendering: pixelated;}
footer div.right img { margin-left:10px }
div.codeview { background:#eee;border-radius:4px;overflow:hidden;}
div.codeview iframe { height:405px;border:0;margin:0;display:block }
div.codeview pre { margin:0;background:#000;color:#fff }
div.codeview pre.src { background:#efefef;color:#000}
div.codeview pre a { float:right;color:#FFC0CB;text-decoration:none;font-weight:bold }

@media (prefers-color-scheme:dark) {
	* { color:#fff }
	html {background-color: #1b1b1b;;background-repeat:repeat }
	body { background:#000 }
	main a:hover, main a:hover > *, nav a:hover, nav a:hover > * { background-color:#fff;color:#000;text-decoration:none }
	input { color:#000 }
	img[src*="svg"], img[src*="png"] { filter:invert(1) hue-rotate(180deg) }
	main pre { background:#111 }
	main table { border-style:solid }
	main th, main td { border-style:dotted }
	main article { border-left-color: white }
	.nodark { filter:invert(0) hue-rotate(0deg) !important;background:transparent !important }
	footer { border-top:1px solid white }
	footer * { color:white }
}
@media only screen and (max-width: 600px) {
	main {margin-right: 5px; margin-left: 5px;}
	body {margin: 0;}
	footer {margin-left: 5px; margin-right: 5px;}
	nav {padding-left: 5px;}

  }